GET
Get Balance Details V2

Authorizations

app-id
string
header
required

A unique identifier assigned to each application.

secret-key
string
header
required

A secure token associated with the app-id.

Query Parameters

currency
enum<string>
default:AUD

The currency of the balance. If not provided, the default currency will be 'AUD'

Available options:
AUD,
PHP,
USD,
KRW,
MYR,
IDR,
VND,
JPY,
USDC,
CAD,
NGN,
ZAR,
KES,
GHS,
XAF,
XOF,
BRL,
THB

Response

OK

available_balance
number
required

The balance available for all transactions.

Example:

1000

incoming_balance
number
required

The balance shows successful payments but the 3rd party device has not yet paid for it.

Example:

1000

outgoing_balance
number
required

The balance being transferred is waiting to be taken from the available balance to process actions.

Example:

1000

rolling_reserve_balance
number
required

The floating amount a merchant keeps in their balance. Rolling reserve balance is not mandatory. The merchant can request to reserve balance by contacting tech support.

Example:

1000

withdrawable_balance
number
required

The amount you can withdraw excludes rolling reserves.

Example:

1000